
TYPO3.Flow - Bug # 45219

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Object
Created: 2013-02-06 Assigned To: Robert Lemke
Updated: 2013-02-08 Due date:
PHP Version: 5.4
Has patch: No
Complexity: easy
Affected Flow version: Flow 2.0.0 beta 1
Subject: Malformed DocBlock causes fatal error in ProxyClassBuilder
Description

If code contains a malformed DocBlock like the following, the Dependency Injection Proxy Class Builder
results in a fatal error:

/**

  @Flow\Inject
  @var \TYPO3\Flow\I18n\Service
 */
protected $i18nService;

Associated revisions
Revision abcdf940 - 2013-02-06 21:17 - Robert Lemke

[BUGFIX] Dependency Injection: safeguard for malformed DocBlocks

This adds a safeguard to the Dependency Injection Proxy Class Builder
which previously ended with a fatal error if client code contained a
malformed DocBlock

Resolves: #45219
Releases: master, 2.0
Change-Id: Ib19c0e837a41fc7ba56b5546014e5f383d4699d1

Revision 774d5a32 - 2013-02-06 21:29 - Robert Lemke

[BUGFIX] Dependency Injection: safeguard for malformed DocBlocks

This adds a safeguard to the Dependency Injection Proxy Class Builder
which previously ended with a fatal error if client code contained a
malformed DocBlock

Resolves: #45219
Releases: master, 2.0
Change-Id: Ib19c0e837a41fc7ba56b5546014e5f383d4699d1
History
#1 - 2013-02-06 21:18 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18078

#2 - 2013-02-06 21:30 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/18079

#3 - 2013-02-08 12:39 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:774d5a32c71548ff69626b2c6ed4881254724ceb.
